/*
 * "Peko" Visual Novel System
 *
 * All Rights Reserved.
 * Copyright (c) 1999-2003 Tsukuba Bunko.
 *
 * $Id: MessageIDs.java,v 1.1.2.1 2003/12/11 10:13:39 ppoi Exp $
 */
package tsukuba_bunko.peko.scenario;

import	tsukuba_bunko.peko.MessageID;


/**
 * <code>tsukuba_bunko.peko.scenario</code> で使用されるログメッセージ ID の定義集です
 * @author	$Author: ppoi $
 * @version	$Revision: 1.1.2.1 $
 */
public final class MessageIDs	{

	/**
	 * 利用可能な XML パーザがありません。
	 */
	public static final MessageID	SCN0000F = new MessageID( "SCN0000F" );

	/**
	 * "PSML Scene DTD の読み込みに失敗しました。"
	 */
	public static final MessageID	SCN0001W = new MessageID( "SCN0001W" );

	/**
	 * "PSML 構文解析中に警告が通知されました。{0}" / {0}:警告
	 */
	public static final MessageID	SCN0002W = new MessageID( "SCN0002W" );

	/**
	 * "PSML 構文解析中にエラーが通知されました。{0}" / {0}:エラー
	 */
	public static final MessageID	SCN0003E = new MessageID( "SCN0003E" );

	/**
	 * "PSML 構文解析中に致命的なエラーが通知されました。{0}" / {0}:エラー
	 */
	public static final MessageID	SCN0004F = new MessageID( "SCN0004F" );

	/**
	 * "シーン処理中に回復不能なエラーが発生しました。位置：{0}" / {0}:位置
	 */
	public static final MessageID	SCN0005F = new MessageID( "SCN0005F" );

	/**
	 * "シーンデータの URL が不正です。"
	 */
	public static final MessageID	SCN0006F = new MessageID( "SCN0006F" );

	/**
	 * "シーンプロセッサの状態が不正です。前回の処理が終了していません。"
	 */
	public static final MessageID	SCN0007F = new MessageID( "SCN0007F" );

	/**
	 * "フラグテストに不正な文字が使用されています。位置:{0} 文字:{1}"
	 */
	public static final MessageID	SCN0008W = new MessageID( "SCN0008W" );

	/**
	 * "カスタム PI ハンドラの実行中にエラーが発生しました。PI Target: {0}" / {0}:PI Target
	 */
	public static final MessageID	SCN0009E = new MessageID( "SCN0009E" );

	/**
	 * "遷移先表に重複した条件が宣言されました。 条件：{0} 遷移先{1}/{2}" / {0}:重複した条件 {1}:現在の遷移先 {2}:重複した遷移先
	 */
	public static final MessageID	SCN0010W = new MessageID( "SCN0010W" );

	/**
	 * "属性値として有効な値が指定されていません。属性名：{0}" / {0}:属性名
	 */
	public static final MessageID	SCN0011W = new MessageID( "SCN0011W" );

	/**
	 * "遷移先シーン名が指定されていません。"
	 */
	public static final MessageID	SCN0012E = new MessageID( "SCN0012E" );


	/**
	 * <code>MessageIDs</code> のインスタンスは生成できません。
	 */
	private MessageIDs()
	{
	}
}